//Inputs file
function initInputFile()
{
    $('#paciente_persona_foto_id').ace_file_input({
        {#                    ace-icon fa fa-picture-o#}
        {#                    ace-icon fa fa-cloud-upload#}
        style: 'well',
        btn_choose: 'Foto',
        btn_change: null,
        no_icon: 'ace-icon fa fa-user bigger-480 red',
        droppable: true,
        maxSize: 100000, //~100 KB
        allowExt: ["jpeg", "jpg", "png", "bmp"],
        allowMime: ["image/jpg", "image/jpeg", "image/png", "image/bmp"],
        thumbnail: 'small'//large | fit

        ,
        preview_error: function (filename, error_code) {
            //name of the file that failed
            //error_code values
            //1 = 'FILE_LOAD_FAILED',
            //2 = 'IMAGE_LOAD_FAILED',
            //3 = 'THUMBNAIL_FAILED'
            //alert(error_code);
        }

    }).on('change', function () {
        //console.log($(this).data('ace_input_files'));
        //console.log($(this).data('ace_input_method'));
    });
}

/**
 *@param json.nombrecompleto
 *@param json.numeroidentificacion
 *@param json.sexo
 *@param json.estadocivil
 *@param json.nacionalidad
 *@param json.edad
 *@param json.lugarnacimiento
 *@param json.residencia
 *@param json.direccion
 *@param json.telefono
 *@param json.celular
 *@param json.nombrecontacto
 *@param json.parentezco
 *@param json.telefonocontacto
 *@param json.numerorepresentante
 *@param json.srcfoto
 **/
function llenarPaciente(paciente_id){
    $.ajax({
        type: 'GET',
        dataType: 'json',
        async: true,
        url: "{{path('hcue_paciente_paciente_llenar')}}/"+paciente_id,
        success: function(json) {
            $("#lblnombrecompleto").text(json.nombrecompleto);
            $("#lblnumeroidentificacion").text(json.numeroidentificacion);
            $("#lblsexo").text(json.sexo);
            $("#lblestadocivil").text(json.estadocivil);
            $("#lblnacionalidad").text(json.nacionalidad);
            $("#lbledad").text(json.edad);
            $("#lbllugarnacimiento").text(json.lugarnacimiento);
            $("#lblresidencia").text(json.residencia);
            $("#lbldireccion").text(json.direccion);
            $("#lbltelefono").text(json.telefono);
            $("#lblcelular").text(json.celular);
            $("#lblnombrecontacto").text(json.nombrecontacto);
            $("#lblparentezco").text(json.parentezco);
            $("#lbltelefonocontacto").text(json.telefonocontacto);
            $("#lblnumerorepresentante").text(json.numerorepresentante);
            $("#fotopersona").attr('src','data:image/jpeg;base64,'+json.srcfoto);
            if($("#sidebar_right").hasClass("menu-min"))
            {
                $("#sidebar_right").removeClass('menu-min').addClass('compact');
                $("#sidebar-expand").removeClass('sidebar-collapse'). addClass("sidebar-expand");
                $("#sidebar-collapse").addClass('sidebar-collapse').removeClass('sidebar-expand');
            }
        }
    });
}

function MostrarOcultarSidebarRigth(){
    var sidebar_right=$(".sidebar_right");
    sidebar_right.on('click', '.sidebar-toggle.sidebar-collapse',function(){
        if(sidebar_right.hasClass("compact")){
            $(".sidebar_right").removeClass('compact').addClass('menu-min');
        }
        else if(sidebar_right.hasClass("menu-min")){
            $(".sidebar_right").removeClass('menu-min').addClass('compact');
        }
        $(".sidebar_right .sidebar-toggle.sidebar-expand").addClass('sidebar-collapse').removeClass('sidebar-expand');
        $(this).removeClass('sidebar-collapse'). addClass("sidebar-expand");
    });

}

function SelectDatatable(namedatatable,paciente_id){
    $('#'+namedatatable+' >tbody').on( 'click', 'td', function () {
        var otable = $('#'+namedatatable).DataTable();
        var data = otable.row(this).data();
        if(data){
            var datacell=otable.cell( this ).data();
            var id=data.id;
            if(paciente_id){
                id=data.paciente_id;
            }
            if(datacell!='' && datacell!=undefined)
            {
                llenarPaciente(id);
                var menu_right=$("#menu-toggler_right");
                var collapsePersonal=$("#collapseOne");
                if(!menu_right.hasClass("display"))
                {
                    $("#sidebar_right").addClass("display");
                }

                if(!collapsePersonal.hasClass("in"))
                {
                    $("#header-collapseOne").removeClass("collapsed")
                        .attr("aria-expanded","true");
                    $("#a-collapseOne").removeClass("fa-angle-right")
                        .addClass("fa-angle-down");
                    collapsePersonal.addClass("in")
                        .attr("aria-expanded","true")
                        .attr("style","");
                }
            }
        }
    });
}
